Subject: bug#400: 23.0.60; C-h v should pick up lispified name in Customize

From: Eli Zaretskii <[email-masked]>
Date: Thu, 21 Oct 2021 09:31:34 +0300

> From: Stefan Kangas <[email-masked]>
> Date: Wed, 20 Oct 2021 14:02:35 -0700
> Cc: Lars Ingebrigtsen <[email-masked]>, [email-masked], [email-masked]
> 
> Eli Zaretskii <[email-masked]> writes:
> 
> > I don't see how using "C-h v" in that case is a reasonable use case,
> > since the documentation is displayed right below the name of the
> > option.
> >
> > We could perhaps have a help command that recognized names of
> > variables in this format, but then it shouldn't be "C-h v", IMO, since
> > that command talks about _variables_, whereas a name such as "Info
> > Hide Note References" is not a variable name.
> 
> I appreciate the merits of this point of view, but at the same time it
> would be kind of nice with some DWIM here.
> 
> I for one have gone through switching unlispify off, because it is
> faster to hit `C-h v RET' (firmly committed to muscle memory) than
> fiddling around with however it is you expand the documentation in a
> customize buffer; I guess the fastest way is C-a RET TAB TAB TAB (until
> point lands on "More") and then RET again.

??? The doc string is displayed by default, fully expanded.  So why
would you need to "expand" it?  What am I missing?

> So I think I would actually appreciate this feature, in particular if it
> was on `C-h v' because that's what I use everywhere else for variables.
> Even if it could perhaps be considered a bit "unclean".

Even if I'm missing something above, and you don't see the full doc
string by default, wouldn't it be better to have a special command in
the Custom buffer to expand the doc string, than tweak "C-h v" to do
something special in such cases?